All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::PoseCpuRenderer Class Reference

`#include <poseCpuRenderer.hpp>`

Inherits op::Renderer, and op::PoseRenderer.

## Public Member Functions

| PoseCpuRenderer (const PoseModel poseModel, const float renderThreshold, const bool blendOriginalFrame=true, const float alphaKeypoint=POSE_DEFAULT_ALPHA_KEYPOINT, const float alphaHeatMap=POSE_DEFAULT_ALPHA_HEAT_MAP, const unsigned int elementToRender=0u)
virtual | ~PoseCpuRenderer ()
std::pair< int, std::string > | renderPose (Array< float > &outputData, const Array< float > &poseKeypoints, const float scaleInputToOutput, const float scaleNetToOutput=-1.f)
Public Member Functions inherited from op::Renderer
| Renderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~Renderer ()
void | increaseElementToRender (const int increment)
void | setElementToRender (const int elementToRender)
void | setElementToRender (const ElementToRender elementToRender)
bool | getBlendOriginalFrame () const
void | setBlendOriginalFrame (const bool blendOriginalFrame)
float | getAlphaKeypoint () const
void | setAlphaKeypoint (const float alphaKeypoint)
float | getAlphaHeatMap () const
void | setAlphaHeatMap (const float alphaHeatMap)
bool | getShowGooglyEyes () const
void | setShowGooglyEyes (const bool showGooglyEyes)
Public Member Functions inherited from op::PoseRenderer
| PoseRenderer (const PoseModel poseModel)
virtual | ~PoseRenderer ()
virtual void | initializationOnThread ()

## Additional Inherited Members

Protected Attributes inherited from op::Renderer
const float | mRenderThreshold
std::atomic< bool > | mBlendOriginalFrame
std::shared_ptr< std::atomic < unsigned int > > | spElementToRender
std::shared_ptr< const unsigned int > | spNumberElementsToRender
std::atomic< bool > | mShowGooglyEyes
Protected Attributes inherited from op::PoseRenderer
const PoseModel | mPoseModel
const std::map< unsigned int, std::string > | mPartIndexToName

## Constructor & Destructor Documentation

op::PoseCpuRenderer::PoseCpuRenderer | ( | const PoseModel | poseModel,
|  | const float | renderThreshold,
|  | const bool | blendOriginalFrame = `true`,
|  | const float | alphaKeypoint = `POSE_DEFAULT_ALPHA_KEYPOINT`,
|  | const float | alphaHeatMap = `POSE_DEFAULT_ALPHA_HEAT_MAP`,
|  | const unsigned int | elementToRender = `0u`
| ) |  |

virtual op::PoseCpuRenderer::~PoseCpuRenderer | ( |  | ) |

virtual

## Member Function Documentation

std::pair<int, std::string> op::PoseCpuRenderer::renderPose | ( | Array< float > & | outputData,
|  | const Array< float > & | poseKeypoints,
|  | const float | scaleInputToOutput,
|  | const float | scaleNetToOutput = `-1.f`
| ) |  |

virtual

Implements op::PoseRenderer.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/pose/poseCpuRenderer.hpp